/****************************************************************************
**
** CustomCalibrationDemo.sce
**
** Scenario definition script for testing the Tobii eye tracker extension
** custom calibration procedure.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

scenario = "Tobii Eyetracker Extension - Custom Calibration Demo";

pcl_file = "CustomCalibrationDemo.pcl";

active_buttons = 3;
button_codes = 1, 2, 3;

no_logfile = true;

default_font = "Arial";
default_font_size = 24;
default_background_color = 37, 37, 37;

begin;

picture {} default;

# Calibration instructions
picture {
	background_color = 37, 37, 37;
	text {
		background_color = 37, 37, 37;
		caption = "Calibration \n\n Look at the orange circles presented...\n\n\nPress SPACE to continue...\n\n\n\n(Press S to skip calibration)";
		font_color = 215,215,215;
	};
	x = 0;
	y = 0;
} calib_instructions;

# Define an orange circle on gray background as calibration stimuli.
# It's size will be changed during calibration.
picture {
	background_color = 37, 37, 37;
   ellipse_graphic {
		ellipse_height = 70;
		ellipse_width = 70;
		color = 227, 123, 0;
	} calib_circle;
   x = 0;
	y = 0;
} calibration_pic;

# Picture stimulus used while following the gaze point
picture{
	background_color = 37, 37, 37;
	default_2d_on_top = true;

	line_graphic {
		coordinates = -10, 0, 10, 0;
		coordinates = 0, -10, 0, 10;
		line_color = 227, 123, 0;
		line_width = 2;
	} gaze_cross;
	x = 0;
	y = 0;
} gaze_crosshair;

# Define a circle
ellipse_graphic {
	ellipse_height = 100;
	ellipse_width = 100;
	color = 128, 128, 128, 80;
} calibpoints_circle;

# Define a cross
line_graphic {
	coordinates = -10, 0, 10, 0;
	coordinates = 0, -10, 0, 10;
	line_color = 0, 0, 0, 80;
	line_width = 2;
} calibpoints_cross;
