/****************************************************************************
**
** MovingWindowDemo.sce
**
** Scenario definition script for testing the Tobii eye tracker extension.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

scenario = "Tobii Eyetracker Extension - Moving Window Demo";

pcl_file = "MovingWindowDemo.pcl";

active_buttons = 3;
button_codes = 1, 2, 3;

no_logfile = true;

default_font = "Arial";
default_font_size = 24;
default_background_color = 37, 37, 37;

begin;

picture {} default;

# Calibration instructions
picture {
	text {
		caption = "Calibration \n\n Look at the orange crosses presented...\n\n\nPress SPACE to continue...\n\n\n\n(Press S to skip calibration)";
		font_color = 215,215,215;
	};
	x = 0;
	y = 0;
} calib_instructions;

/*
* Define an orange crosshair as calibration object.
*
* Note: If there is no picture named et_calibration defined in your
*       scenario a small white crosshair on black background will be
*       used by default.
*/
picture{
	line_graphic {
		coordinates = -20, 0, 20, 0;
		coordinates = 0, -20, 0, 20;
		line_width = 4;
		line_color = 227, 123, 0;
	};
   x = 0;
   y = 0;
} et_calibration;

# Picture stimulus used while following the gaze point
picture {
	bitmap {
		filename = "img103.png";
		preload = true;
	} background;
   x = 0;
   y = 0;

   ellipse_graphic {
		background_color = 32, 44, 55;
		color = 255, 255, 255, 0;
		width = 300;
		height = 300;
      ellipse_width = 300;
      ellipse_height = 300;
   }gaze_circle;
   x = 0;
   y = 0;

	bitmap {
		filename = "MovingWindow.png";
		preload = true;
		transparent_color = 255, 255, 255;	# White is transparent
	} gaze_circle_mask;
	x = 0;
	y = 0;

	# Masking boxes
	box {
		color = 32, 44, 55;
		width = 1;
		height = 1;
	} box_top;
	x = 0;
	y = 0;

	box {
		color = 32, 44, 55;
		width = 1;
		height = 1;
	} box_bottom;
	x = 0;
	y = 0;

	box {
		color = 32, 44, 55;
		width = 1;
		height = 1;
	} box_left;
	x = 0;
	y = 0;
	
	box {
		color = 32, 44, 55;
		width = 1;
		height = 1;
	} box_right;
	x = 0;
	y = 0;

} et_gaze;
