/****************************************************************************
**
** ReplayDemo.sce
**
** Scenario definition script for testing the Tobii eye tracker extension.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

scenario = "Tobii Eyetracker Extension - Replay Demo";

pcl_file = "ReplayDemo.pcl";

active_buttons = 3;
button_codes = 1, 2, 3;

no_logfile = true;

default_font = "Arial";
default_font_size = 24;
default_background_color = 37, 37, 37;

begin;

picture {} default;

# Define an white crosshair on white background as fixation object.
picture {
	line_graphic {
		background_color = 37, 37, 37;
		coordinates = -30, 4, -4, 4, -4, 30;
		coordinates = 30, 4, 4, 4, 4, 30;
		coordinates = 30, -4, 4, -4, 4, -30;
		coordinates = -30, -4, -4, -4, -4, -30;
		coordinates = -2, 0, 2, 0;
		line_width = 4;
		line_color = 225, 225, 225;
	} fixation_cross_graphic;
   x = 0;
   y = 0;
} fixation_cross;

# Array holding the image files to show.
array {
		bitmap { filename = "img100.jpg"; preload = true; };
		bitmap { filename = "img101.png"; preload = true; };
		bitmap { filename = "img102.jpg"; preload = true; };
		bitmap { filename = "img103.png"; preload = true; };
} bitmaps;

picture {
	# image placeholder - set by PCL
	box {
		height = 1;
		width = 1;
		color = 0, 0, 0;
	};
	x = 0;
	y = 0;

	ellipse_graphic {
		height = 32;
		width = 32;
		ellipse_height = 32;
		ellipse_width = 32;
		color = 227, 123, 0;
	} gaze_circle;
	x = -10;
	y = -10;
	
	text {
		background_color = 0, 0, 0, 0;
		font_color = 227, 123, 0;
		caption = "___";
	} gaze_time;
	x = -800;
	y = 400;
} main_picture;
