/****************************************************************************
**
** SaveGazeDemo.sce
**
** Scenario definition script for testing the Tobii eye tracker extension.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

scenario = "Tobii Eyetracker Extension - Save Gaze Demo";

pcl_file = "SaveGazeDemo.pcl";

active_buttons = 3;
button_codes = 1, 2, 3;

no_logfile = true;

default_font = "Arial";
default_font_size = 24;
default_background_color = 37, 37, 37;

begin;

picture {} default;

# Calibration instructions.
picture {
	text {
		background_color = 37, 37, 37;
		caption = "Calibration \n\n Look at the orange crosses presented...\n\n\nPress SPACE to continue...\n\n\n\n(Press S to skip calibration)";
		font_color = 215,215,215;
	};
	x = 0;
	y = 0;
} calib_instructions;

# Define an orange crosshair as calibration object.
#
# Note: If there is no picture named et_calibration defined in your
#       scenario a small white crosshair on black background will be
#       used by default.
picture {
	line_graphic {
		coordinates = -20, 0, 20, 0;
		coordinates = 0, -20, 0, 20;
		line_width = 4;
		line_color = 227, 123, 0;
	};
   x = 0;
   y = 0;
} et_calibration;

# Define an white crosshair on white background as fixation object.
picture {
	line_graphic {
		background_color = 37, 37, 37;
		coordinates = -30, 4, -4, 4, -4, 30;
		coordinates = 30, 4, 4, 4, 4, 30;
		coordinates = 30, -4, 4, -4, 4, -30;
		coordinates = -30, -4, -4, -4, -4, -30;
		coordinates = -2, 0, 2, 0;
		line_width = 4;
		line_color = 225, 225, 225;
	} fixation_cross_graphic;
   x = 0;
   y = 0;
} fixation_cross;

# Array holding the image files to show.
array {
		bitmap { filename = "img100.jpg"; preload = true; };
		bitmap { filename = "img101.png"; preload = true; };
		bitmap { filename = "img102.jpg"; preload = true; };
		bitmap { filename = "img103.png"; preload = true; };
} bitmaps;

trial {
	trial_duration = 3000;

	picture {
		# image placeholder - set by PCL
		box {
			height = 1;
			width = 1;
			color = 255, 255, 255;
		};
		x = 0;
		y = 0;
	} mainTrialPic1;

	time = 0;
} mainTrial;
