/****************************************************************************
**
** SimpleBufferedDemo.sce
**
** Scenario definition script for testing the Tobii eye tracker extension.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

scenario = "Tobii Eyetracker Extension - Simple Buffered Demo";

pcl_file = "SimpleBufferedDemo.pcl";

active_buttons = 3;
button_codes = 1, 2, 3;

no_logfile = true;

default_font = "Arial";
default_font_size = 24;
default_background_color = 37, 37, 37;

begin;

picture {} default;

# Calibration instructions
picture {
	text {
#		background_color = 37, 37, 37;
		caption = "Calibration \n\n Look at the orange crosses presented...\n\n\nPress SPACE to continue...\n\n\n\n(Press S to skip calibration)";
		font_color = 215,215,215;
	};
	x = 0;
	y = 0;
} calib_instructions;
/*
* Define an orange crosshair on white background as calibration object.
*
* Note: If there is no picture named et_calibration defined in your
*       scenario a small white crosshair on black background will be
*       used by default.
*/
picture{
	line_graphic {
		coordinates = -20, 0, 20, 0;
		coordinates = 0, -20, 0, 20;
		line_width = 4;
		line_color = 227, 123, 0;
	};
   x = 0;
   y = 0;
} et_calibration;


# Define a red circle as gaze-following object
picture {
	bitmap {
		filename = "img103.png";
		preload = true;
	} background;
   x = 0;
   y = 0;

   ellipse_graphic {
		height = 32;
		width = 32;
		ellipse_height = 32;
		ellipse_width = 32;
		color = 227, 123, 0;
	} gaze_circle;
   x = -10;
   y = -10;
} et_gaze;

